Bug 998891 - [origin_broker_86] User environment variables in scaled up gears can not be unset after trying to unset it via client
[origin_broker_86] User environment variables in scaled up gears can not be u...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: REST API (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 06:00 EDT by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:53:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2013-08-20 06:00:20 EDT
Description of problem:
Create a scale app, scale up the app, set an user env variable then unset it via client, then ssh in the scale-uped gear and found the variable still exist.
But the user envionment variables on the head gear is unset successfully.And if after unset operation, user have at least one variable, it will also unset successfully.

Version-Release number of selected component (if applicable):
devenv_3678
rhc build from devenv_3677

How reproducible:
always

Steps to Reproduce:
1. Create a scalable app
2. Scale up the app
 rhc cartridge scale $cart_type -a $app_name --min 2 
3. Set a variable to the app
 rhc env set key=value -a $app_name
4. Check the variable in all gears
5. Unset the variable via client, and after unset operation, user have no variables.
 rhc env unset key -a $appname
6. Check the variable in all gears

Actual results:
3.rhc ssh app --gear env |grep asdf
asdf=dfad
asdf=dfad
asdf=dfad
6.The variable not unset in scale-uped gear
rhc ssh app --gear env |grep asdf
asdf=dfad
asdf=dfad

Expected results:
The variable should be unset in all gears

Additional info:
Comment 1 Ravi Sankar 2013-08-20 15:41:11 EDT
Fixed in https://github.com/openshift/origin-server/pull/3439
Comment 2 weiwei jiang 2013-08-21 23:20:53 EDT
Test on devenv_3683 and result is :
rhc app create phps php-5.3 -s
rhc cartridge scale php-5.3 -a phps --min 2 --max 2
rhc env set adf=aad -a phps
   rhc ssh phps --gears env |grep adf
       adf=aad
       adf=aad
rhc env unset adf -a phps
   rhc ssh phps --gears env |grep adf
   no output

so verified this bug
Comment 3 weiwei jiang 2013-08-22 00:25:59 EDT
And rhc version is rhc build from devenv_3683

Note You need to log in before you can comment on or make changes to this bug.